dofile("scripts/entities/entityinclude.lua")

function init(me)
end

function update(me, dt)
	if isFlag(FLAG_FORMBARRIER,0) then
		if node_isEntityIn(me, getNaija()) then
			setControlHint(getStringBank(20), 0, 0, 0, 10, "SongHints/EnergyFormSong")
			setFlag(FLAG_NAIJA_RETURNTONORMALFORM, 1)
		end
	end
end
